Examplary
Start for free
Developer docs

Call app prerequisite function

POSThttps://api.examplary.ai/exams/{id}/prerequisites/{appId}/{prerequisiteId}/functions/{name}

Runs a function of an app's prerequisite for the exam's editors, e.g. to get a link to the secure browser's dashboard.

Path parameters

idstringrequired
appIdstringrequired
prerequisiteIdstringrequired
namestringrequired

Request body

inputany

Responses

400 — Validation Error

successbooleanrequired

Allowed values:false

errorarray any[]required
dataanyrequired

429 — Rate limit exceeded

Requirements

Rate limit

30 requests per minute per user.

User roles

This endpoint requires the teacher, admin, or owner role to be present.

OAuth scopes

This endpoint requires the exams:write scope to be present.